%global debug_package %{nil}

Name:       json
Version:    3.11.3
Release:    1%{?dist}
Summary:    Niels Lohmann JSON library
Group:      System Environment/Libraries
License:    MIT
URL:        https://github.com/nlohmann/json

Source0:    %{name}-%{version}.tar.gz

BuildArch:     noarch

BuildRequires: make
BuildRequires: cmake
BuildRequires: gcc
BuildRequires: gcc-c++

%description
A JSON C++ library for modern C++ (including C++17) with the goals of
intuitive syntax, trivial integration and serious testing over a
variety of modern compilers.


# ====== devel ======

%package devel
Group:      Development/System
Summary:    API for nlohmann-json

%description devel
%{summary}

%files devel
%license LICENSE.MIT
%doc README.md
%{_includedir}/nlohmann
%{_datadir}/cmake/nlohmann_json
%{_datadir}/pkgconfig/nlohmann_json.pc


# ====

%prep
%setup -q -n %{name}-%{version}

%build
%cmake -DJSON_BuildTests=OFF
%cmake_build

%install
%cmake_install

%changelog
* Tue Dec 12 2023 Kim van der Riet - 3.11.3-1
- Rebased to 3.11.3

* Mon May 1 2023 Kim van der Riet - 3.11.2-2
- Corrected package naming

* Fri Apr 28 2023 Kim van der Riet - 3.11.2-1
- Copied and renamed from nlohmann-json package
